﻿//////////////////////////////////////////////
// Button.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkWinUi
#include "Component.h"

#include "../Dll/DllDefines.h"

// Standards
#include <functional>
#include <string>

/// Class ------------------------------------
	
namespace nkWinUi
{
	class DLL_WINUI_EXPORT Button : public Component
	{
		protected :
		
			// Attributes
			// Callback
			std::function<void (Button*)> _buttonClickCallback ;
		
		public :
		
			// Constructor, destructor
			Button (MainSystem* parentSystem) ;
			~Button () ;

			// Callback
			void setButtonClickCallback (std::function<void (Button*)> value) ;
			std::function<void (Button*)> getButtonClickCallback () const ;
	} ;
}